#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n,x;
    cin>>n>>x;
    int niz[n];
    int sekunde=0;
    for(int i=0;i<n;i++)
        cin>>niz[i];
    int br=abs(x-niz[0]);
    int br2=abs(x-niz[n-1]);
    if(x<niz[0])
        sekunde=niz[n-1]-x;
    else if(x>niz[n-1])
        sekunde=x-niz[0];
    else if(br<br2)
        sekunde=(x-br)+(br2-br);
    else
        sekunde=(br2-x)+(br2-br);
    cout<<sekunde;
}